تبلیغات تبلیغات
حراجی دامنه های ویژهمشاهده
تبلیغات
تبلیغات تبلیغات

چرا نباید افزونه های ناسازگار با نسخه فعلی را نصب کنیم؟

مقالات,آموزش,ترفند , وردپرس

در مورد نحوه انتخاب افزونه در وردپرس و نحوه نصب افزونه ها در وردپرس قبلا توضیح داده بودم، اما بعضی مواقع پس از یافتن یک افزونه که کاری که مد نظر شما است را انجام می دهد، می بینید که این افزونه با نسخه نصبی وردپرس ناسازگار است. آیا باید افزونه های ناسازگار با نسخه فعلی را نصب کنید؟

 

چرا نباید افزونه های ناسازگار با نسخه فعلی را نصب کنیم؟

 

همیشه تاکید می کنم که باید از به روزترین نسخه وردپرس استفاده کنید و قبلا مفصلا در مورد چرایی این موضوع صحبت کرده بودم. در مورد افزونه ها و قالب ها نیز همین موضوع صادق است.

 

در هر نسخه از وردپرس ممکن است باگ هایی به وجود بیاید که در هنگام به روزرسانی این باگ ها برطرف می شوند و در صوتری که شما از نسخه قدیمی وردپرس استفاده کنید، ممکن است این باگ ها به وب سایت شما آسیب برسانند.

 

در مورد افزونه ها در ادامه این آموزش از بیست اسکریپت صحبت خواهم کرد و در انتها به جواب سوال خود که علت استفاده یا عدم استفاده از افزونه های ناسازگار با نسخه فعلی است، خواهید رسید.

 

افزونه های ناسازگار با نسخه فعلی

حتما شما هم وقتی که افزونه ای را انتخاب می کنید و برای نصب کردن آن به منوی افزونه ها >> افزودن می روید، برای برخی از آن ها پیغام با نگارش وردپرس شما سازگار است و برای برخی دیگر پیغام با نگارش وردپرس شما آزمایش نشده است را مشاهده خواهید کرد.

چرا نباید افزونه های ناسازگار با نسخه فعلی را نصب کنیم؟

اینکه وردپرس از کجا می فهمد یک افزونه با نسخه فعلی تست شده یا نه و اینکه چرا باید افزونه ها با نسخه وردپرسی نصبی تست شده باشند، مواردی هستند که در ادامه بررسی خواهم کرد.

 

وردپرس چگونه متوجه می شود افزونه با نسخه ما سازگار نیست؟

بزرگترین منبع افزونه های وردپرس، مخزن وردپرس است. هنگام ارسال یک افزونه و ثبت آن، نویسندگان موظف اند یک فایل راهنمای افزونه و ترجمه آن را همراه با افزونه ارسال کنند. این فایل برای ساخت صفحه معرفی افزونه در مخزن وردپرس مورد استفاده قرار می گیرد. مانند آنچه در تصویر زیر می بینید یک افزونه در مخزن وردپرس حاوی اطلاعات تعداد نصب فعال، توضیحات افزونه و آزمایش شده تا نسخه وردپرس است.

چرا نباید افزونه های ناسازگار با نسخه فعلی را نصب کنیم؟

این فایل راهنما حاوی برچسب tested up to نیز می شود که برای نمایش اطلاعات مربوط به نسخه وردپرس آزمایش شده استفاده می شود.

 

با کمک این برچسب وردپرس می تواند نسخه تست شده را با نسخه نصب شده مقایسه کرده و اگر افزونه تا نسخه نصبی شما بررسی نشده باشد، خطای افزونه های ناسازگار با نسخه فعلی را نمایش می دهد.

 

نویسندگان افزونه ها موظف اند همیشه اطلاعات را به روز نگه دارند و این به این معنی است که با هر نسخه از وردپرس، نویسندگان افزونه باید افزونه را تست و فایل های راهنما برای افزونه های خود به روز رسانی کنند.

 

چرا نویسندگان افزونه اطلاعات را به روز رسانی نمی کنند؟

بسیاری از نویسندگان افزونه، به هیچ وجه فایل های خود را حتی زمانی که افزونه های خود را با آخرین نسخه تست می کنند، به روز رسانی نمی کنند!

 

این افزونه ها رایگان هستند و شما برای استفاده از آن ها هیچ پرداختی به نویسنده انجام نمی دهید. نویسندگان کمتر تمایل به به روزرسانی فایل های راهنمای خود دارند و بیشتر مشغول پروژه های خود هستند. اما این به این معنی نمی باشد که افزونه کارکرد خوبی ندارد.

 

آیا می تواین افزونه های ناسازگار با نسخه فعلی را نصب کرد؟

افزونه های ناسازگار با نسخه فعلی را می توانید نصب کنید و علت خطای ناسازگاری عدم آپدیت فایل راهنما توسط نویسنده افزونه می باشد. البته پیشنهاد می شود که افزونه هایی که بیش از 6 ماه یا حداکثر بیش از 2 سال از آخرین به روزرسانی آن ها می گذرد را نصب نکنید، چرا که ممکن است این افزونه به صورت کامل متروکه شده باشد.

 

هنگام بروز خطا چه کنیم؟

اگر پس از نصب افزونه های ناسازگار با نسخه فعلی با خطایی مواجه شدید، بهتر است افزونه را در محیط های مختلف تست کنید و اگر بازهم خطا دریافت کردید، اطلاعات خطا را برای بررسی نویسنده افزونه در صفحه افزونه قرار دهید.

  • هیچ وقت بدون داشتن نسخه پشتیبان اقدام به نصب افزونه حتی افزونه های سازگار با نسخه فعلی سایتتان نکنید و همیشه از قبل یک نسخه بک آپ تهیه کنید.

ترجیحا افزونه ها با نسخه های قدیمی تر را در لوکال هاست و یا وب سایت تستی بررسی کنید و پس از اینکه اطمینان حاصل کردید افزونه های ناسازگار با نسخه فعل به درستی کار می کنند، آن را روی وب سایت اصلی خود نیز استفاده کنید.

این مقاله چقدر براتون مفید بود؟

از ۱ تا ۵ امتیاز بدید.

میانگین رتبه 0 / 5. تعداد رای : 0

تا حالا کسی رای نداده! اولین نفر شما باشید.

دانلود

هاست ارزان، لایت اسپید، سرور مجازی منطبق با اسکریپت های 20script کلیک کنید >
هاست وردپرس پرسرعت لیموهاست - آپ تایم 99% - مخصوص وردپرس خرید هاست >
مطلب مفیدی بود ؟
نویسنده : تیم محتوای 20اسکریپت 0 مقالات,آموزش,ترفند , وردپرس
لینک کوتاه مطلب : https://www.20script.ir/?p=49532
کلمات کلیدی پست :
مطالب مرتبط
21,548افزونه ورود به ووکامرس از طریق شبکه های اجتماعی WooCommerce Social Login تاریخ : 2020/05/22
4,164پیدا کردن کلمات کلیدی مناسب با استفاده از Google Search Console تاریخ : 2020/02/15
34,468افزونه وردپرس آمارگیر قدرتمند WP Statistics تاریخ : 2015/02/24
6,907افزونه وردپرس مترجم وب سایت Ajax Translator تاریخ : 2015/06/30
9,740ارسال گزارش خطا در مطالب وردپرس با افزونه Mistape تاریخ : 2017/08/17
7,700افزونه نمایش ریسپانسیو مطالب وردپرس Responsive Post Preview تاریخ : 2017/03/30
9,413آموزش افزودن آیکون به فهرست وردپرس تاریخ : 2017/09/11
9,882دانلود قالب وردپرس مدرن و چندمنظوره Kallyas تاریخ : 2016/04/19
10,723دانلود کتاب آموزش کامل مدیریت وردپرس فارسی تاریخ : 2016/10/26
11,460آموزش ساخت هدر سفارشی برای هر برگه از وردپرس تاریخ : 2019/12/15
6,408انتقال فایل های وردپرس از زیر دامنه به دامنه اصلی تاریخ : 2018/07/14
7,149دانلود قالب بارسلونا برای وردپرس تاریخ : 2016/07/13
برخی از قالب های وبلاگ - بیست اسکریپت
قالب عشق بین انگشت ها
قالب دخترونه و آرایش
قالب زیبای ماشین
قالب فانتزی و طنز چِشم
قالب دختر رویایی
قالب وبلاگ دکوراسیون
قالب وبلاگ کلبه و درخت
قالب دختر زیبا
قالب پسرونه غمگین
قالب عاشقانه قلب
تبلیغات
تبلیغات